import { AfterViewInit, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { Location } from '@angular/common';
import { Router } from '@angular/router';
import { ViewState, ViewStateService } from '../view/view-state.service';
import { AppController } from '../../app/index';
export declare class BackComponent implements OnInit, OnDestroy, AfterViewInit {
    private document;
    private steps;
    private scale;
    private state;
    private location;
    private router;
    private appController;
    private viewStateService;
    textElement: ElementRef;
    icon: string;
    closeBackHandle: boolean;
    opacity: number;
    translate: string;
    private subs;
    private docWidth;
    private contentWidth;
    private leftDistance;
    private translateDistance;
    private timer;
    constructor(document: any, steps: number, scale: number, iconName: string, state: ViewState, location: Location, router: Router, appController: AppController, viewStateService: ViewStateService);
    resize(): void;
    click(): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
}
